(function(angular, $, _) {

  angular.module('form_processor').controller('OutputHandlerDialogCtrl', function InputDialogCtrl($scope, dialogService) {
    $scope.ts = CRM.ts(null);
    
    $scope.outputHandler = angular.copy($scope.model.outputHandler);
    $scope.outputHandlers = $scope.model.outputHandlers;
    $scope.formProcessor = $scope.model.formProcessor;
    $scope.fields = $scope.model.fields;
    
    angular.forEach($scope.outputHandlers, function (outputHandler, key) {
    	outputHandler.configuration = outputHandler.default_configuration;
    	if (outputHandler.name == $scope.outputHandler.name) {
  			outputHandler.configuration = angular.copy($scope.outputHandler.configuration);
    		$scope.outputHandler = outputHandler;
    	}
    });
    
    $scope.saveClick = function() {
    	$scope.model.outputHandler = $scope.outputHandler;
    	dialogService.close('OutputHandlerDialog', $scope.model);
    };
		
		$scope.cancelClick = function() {
    	dialogService.cancel('OutputHandlerDialog');
    };
    
  });

})(angular, CRM.$, CRM._);